<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.OaReportScheduleMapper">

    <resultMap type="com.ruoyi.oa.domain.OaReportSchedule" id="OaReportScheduleResult">
        <result property="scheduleId" column="schedule_id"/>
        <result property="projectId" column="project_id"/>
        <result property="scheduleName" column="schedule_name"/>
        <result property="type" column="type"/>
        <result property="startDate" column="start_date"/>
        <result property="endDate" column="end_date"/>
        <result property="amount" column="amount"/>
        <result property="header" column="header"/>
        <result property="contactPhone" column="contact_phone"/>
        <result property="deliveryStatus" column="delivery_status"/>
        <result property="deliveryId" column="delivery_id"/>
        <result property="deliveryTime" column="delivery_time"/>
        <result property="accessory" column="accessory"/>
        <result property="sort" column="sort"/>
        <result property="status" column="status"/>
        <result property="remark" column="remark"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>


</mapper>
